Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08280 DIP/Input Minor Always Apr 1, 2022, 19:14 Apr 6, 2022, 05:06
Tester chaneman View Status Public Platform MAME (Official Binary)
Assigned To Steve Coomber Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver galaxian.cpp
Version 0.242 Fixed in Version 0.243 Build 64-bit
Fixed in Git Commit 90d8eb4 Github Pull Request # #9517
Summary 08280: thepitm: Unknown DIPS For Coinage, Game Speed and Game Time
Description First panel in picture below shows highlighted 3rd DIP down is for "Game Speed".
ON = Fast
OFF = Slow

Second panel pic shows 1st and 2nd highlighted DIPS are for "Coinage".
This game has a Coin B which is always 1 coin = 6 credits.
Naming of the Coins/Credit is a little strange in parent set thepit and clones.
Suggest renaming them to something simpler that looks and makes more sense comparing to
DIP sheet in manual. But I'll leave that up to the dev.
Something like this:
OFF = 1P 1Coin/2P 2Coin
OFF

OFF = 1P 2Coin/2P 3Coin
ON

ON = 1P 2Coin/2P 4Coin
OFF

ON = Freeplay
ON

Correct Name is Game Time which determines the rate Zonker Tank fires at the hillside.
Third panel picture highlighted DIP is "Game Time"
ON = Short
OFF = Long
Steps To Reproduce Load and run game.
Set DIPS as shown in picture below.
Reset game and observe change.
Repeat above steps for DIP settings shown.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems thepitm
Attached Files
jpg file icon thepitm DIP settings.jpg (760,228 bytes) Apr 2, 2022, 02:36 Uploaded by chaneman
chaneman
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.19983
Steve Coomber
Tester
Apr 2, 2022, 11:34
Another good find. I can confirm this observation. And you are correct, thepit parent set coin DIP switch also needs addressing. Note that it looks like thepitm clone/bootleg hasn't carried over the Lives or Diagnostic Tests DIP switch which is present on the parent set.
User avatar
No.19985
chaneman
Tester
Apr 2, 2022, 16:23
edited on: Apr 2, 2022, 16:40
I tried all combinations to trigger Lives and Diag, but to no avail. The pcb I beleive this set came from is currently on ebay:
https://www.ebay.com/itm/313866458346?hash=item4913e614ea:g:cMYAAOSwT9hiAW9y

I see that it only has a 6 position DIP. I'm thinking the Unknown DIPS below Cabinet should be hidden if you are unable to find a use. Not permanantly removed from the driver, just hidden from us end users until maybe in the future a use is discovered.
Thank you for your time and input.
User avatar
No.20012
Steve Coomber
Tester
Apr 5, 2022, 18:02
A fix for this has been submitted and merged covering all of your points. Thanks